Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eteks.outils
Class Probabilite

    java.lang.Object
      com.eteks.outils.Probabilite

    public class Probabilite

extends java.lang.Object

Constructor Summary
`Probabilite()`

Method Summary
`long` | `arrangementsAvecRepetition(long n, long p)` Renvoie le nombre d'arrangements possibles avec repetition avec p elements pris parmi n elements (n puissance p)
`long` | `arrangementsSansRepetition(long n, long p)` Renvoie le nombre d'arrangements possibles sans repetition avec p elements pris parmi n elements.
`long` | `combinaisons(long n, long p)` Renvoie le nombre de combinaisons possibles entre les elements avec p elements pris parmi n elements.
`long` | `permutations(long n)` Renvoie le nombre de permutations possibles entre les elements d'un ensemble de n elements.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Probabilite

    public Probabilite()

Method Detail

### arrangementsSansRepetition

    public long arrangementsSansRepetition(long n,
                                           long p)

  Renvoie le nombre d'arrangements possibles sans repetition avec p elements pris parmi n elements. Anp = n x (n - 1) x (n - 2) x ... x (n - p + 2) x (n - p + 1)

### arrangementsAvecRepetition

    public long arrangementsAvecRepetition(long n,
                                           long p)

  Renvoie le nombre d'arrangements possibles avec repetition avec p elements pris parmi n elements (n puissance p)

### permutations

    public long permutations(long n)

  Renvoie le nombre de permutations possibles entre les elements d'un ensemble de n elements. Pn = n! = n x (n - 1) x (n - 2) x ... x 3 x 2 x 1

### combinaisons

    public long combinaisons(long n,
                             long p)

  Renvoie le nombre de combinaisons possibles entre les elements avec p elements pris parmi n elements. Cnp = Anp / p! = n x (n - 1) x ... x (n - p + 1) / p!

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD